Bug 1173349 - wildcard doesn't work properly when downgrade
Summary: wildcard doesn't work properly when downgrade
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-11 22:36 UTC by Igor Gnatenko
Modified: 2017-02-10 15:55 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-10 15:55:19 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1199432 None None None Never

Internal Trackers: 1199432

Description Igor Gnatenko 2014-12-11 22:36:32 UTC
[brain@x1carbon control-center]$ sudo dnf downgrade control-center\*
Swipe your right index finger across the fingerprint reader
Error: package control-center-1:3.14.2-1.fc22.x86_64 requires control-center-filesystem = 1:3.14.2-1.fc22, but none of the providers can be installed


[brain@x1carbon control-center]$ sudo dnf downgrade control-center control-center-filesystem
Dependencies resolved.
===============================================================================================================================================================================
 Package                                              Arch                              Version                                       Repository                          Size
===============================================================================================================================================================================
Downgrading:
 control-center                                       x86_64                            1:3.14.2-1.fc22                               rawhide                            4.2 M
 control-center-filesystem                            x86_64                            1:3.14.2-1.fc22                               rawhide                             23 k

Transaction Summary
===============================================================================================================================================================================
Downgrade  2 Packages

Comment 1 Jaroslav Reznik 2015-03-03 16:36:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Honza Silhan 2015-07-20 12:13:01 UTC
We are working on it.

Comment 3 Fedora Admin XMLRPC Client 2016-07-08 09:30:36 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2016-07-19 12:31:41 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Igor Gnatenko 2016-07-19 22:31:13 UTC
Looks like still reproducible.

Comment 6 Jan Kurik 2016-07-26 05:00:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 7 Jaroslav Mracek 2016-11-29 20:31:40 UTC
It should be fixed by Pull-request: https://github.com/rpm-software-management/dnf/pull/666

Comment 8 Jaroslav Mracek 2017-02-10 15:55:19 UTC
Bugs fixed in version of dnf-2.0.1-1.


Note You need to log in before you can comment on or make changes to this bug.